# Course Reg Processes

Course Reg Processes

 - [GET /courseRegProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/listcourseregprocesses.md): This method will scan all course reg processes and and return them to the caller.
 - [POST /courseRegProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/createcourseregprocess.md): This method will auto-generate an ID and create a new course reg process. If an ID is specified for the course reg process, an error will be thrown.
 - [POST /courseRegProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /courseRegProcesses/{tenantId}/eligible/{contactId}/{courseId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/geteligibleprocesses.md)
 - [DELETE /courseRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/deletecourseregprocess.md): This method will delete a course reg process with the specified ID.
 - [GET /courseRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/getcourseregprocess.md): This method will look up a course reg process by the specified ID and return it back.
 - [PATCH /courseRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/patchcourseregprocess.md): This method will patch an existing course reg process with the specified ID, using the HTTP PATCH specification.
 - [PUT /courseRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-reg-processes/updatecourseregprocess.md): This method will update an existing course reg process with the specified ID.
